phZoom是大D一直使用的一个好用且轻量化的jQuery看图插件。

原作者Phoetry自2012.1.6之后没有再更新过,看他/她的Github也是很久没有活动了,个人首页也已经无法访问了。

jQuery升级到3.5.0时,进行了一些安全更新,将jQuery.htmlPrefilter方法对正则表达式的支持移除了,所以原插件已无法在jQuery 3.5+的环境下正常工作。

发现这一点还是在升级wp 5.6时发现的。

于是将phZoom项目Fork了一下,添加了对版本号的判断,使插件在jQuery 1.4及3.5+的环境下均可以正常工作。

升级变化可以参考:https://api.jquery.com/jQuery.htmlPrefilter/

jQuery 3.5的升级指南可以参考:https://jquery.com/upgrade-guide/3.5/

升级方法

可以到 https://github.com/derek-s/phZoom下载phzoom.js文件,掩盖到插件目录内即可。

与本文相关的文章
版权声明
转载保留版权: 大D综合研究院 | 《phZoom升级至支持jQuery 3.5+》
本文链接地址:https://www.dadclab.com/archives/7661.jiecao
转载须知:如果您需要转载本文,请将版权信息,版权授权方式,以及本文的链接地址注明,谢谢合作。
本文被贴上了: , , 标签